{% extends 'base.html.twig' %}

{% block title %}Commande{% endblock %}

{% block body %}
    <section class="bg-white min-h-screen py-8 antialiased dark:bg-gray-900 md:py-16">
        <div class="mx-auto max-w-screen-xl px-4 2xl:px-0">
            <div class="w-full flex justify-between">
                <h2 class="text-xl font-semibold text-gray-900 dark:text-white sm:text-2xl">
                    Statut commande n°COM{{ order.id}} :
                    {% if order.status == 'commander' %}
                        En attente de réception
                    {% else %}
                        Commande reçu
                    {% endif %}
                </h2>
                <a href="{{ path('app_order_pdf', {order: order.id}) }}" target="_blank" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center">
                    Télécharger bon de commande
                </a>
            </div>

            <div class="mt-6 sm:mt-8 md:gap-6 lg:flex lg:items-start xl:gap-8">
                <div class="mx-auto w-full flex-none lg:max-w-2xl xl:max-w-4xl">
                    <div class="space-y-6">
                        {% for item in order.orderItems %}
                            <div class="rounded-lg border border-gray-200 bg-white p-4 shadow-sm dark:border-gray-700 dark:bg-gray-800 md:p-6">
                                <div class="space-y-4 md:flex md:items-center md:justify-between md:gap-6 md:space-y-0">
                                    <a href="#" class="shrink-0 md:order-1">
                                        <img class="h-20 w-20 dark:hidden" src="{{ item.produit.biere.urlImage }}" alt="imac image" />
                                        <img class="hidden h-20 w-20 dark:block" src="{{ item.produit.biere.urlImage }}" alt="imac image" />
                                    </a>

                                    <label for="counter-input" class="sr-only">Quantity:</label>
                                    <div class="flex items-center justify-between md:order-3 md:justify-end">
                                        <div class="flex items-center">
                                            <input type="text" id="counter-input" data-input-counter class="w-10 shrink-0 border-0 bg-transparent text-center text-sm font-medium text-gray-900 focus:outline-none focus:ring-0 dark:text-white" placeholder="" value="{{ item.quantity }}" required disabled/>
                                        </div>
                                        <div class="text-end md:order-4 md:w-32">
                                            <p class="text-base font-bold text-gray-900 dark:text-white">{{ item.produit.priceTtc }} €</p>
                                        </div>
                                    </div>

                                    <div class="w-full min-w-0 flex-1 space-y-4 md:order-2 md:max-w-md">
                                        <a href="#" class="text-base font-medium text-gray-900 hover:underline dark:text-white">
                                            {{ item.produit.biere.name }}
                                        </a>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>

                <div class="mx-auto mt-6 max-w-4xl flex-1 space-y-6 lg:mt-0 lg:w-full">
                    <div class="space-y-4 rounded-lg border border-gray-200 bg-white p-4 shadow-sm dark:border-gray-700 dark:bg-gray-800 sm:p-6">
                        <p class="text-xl font-semibold text-gray-900 dark:text-white">COMMANDE</p>

                        <div class="space-y-4">
                            <div class="space-y-2">
                                <dl class="flex items-center justify-between gap-4">
                                    <dt class="text-base font-normal text-gray-500 dark:text-gray-400">Prix originel</dt>
                                    <dd class="text-base font-medium text-gray-900 dark:text-white">{{ price.totalHT }} €</dd>
                                </dl>

                                <dl class="flex items-center justify-between gap-4">
                                    <dt class="text-base font-normal text-gray-500 dark:text-gray-400">Taxes</dt>
                                    <dd class="text-base font-medium text-gray-900 dark:text-white">{{ price.totalTTC - price.totalHT }} €</dd>
                                </dl>
                            </div>

                            <dl class="flex items-center justify-between gap-4 border-t border-gray-200 pt-2 dark:border-gray-700">
                                <dt class="text-base font-bold text-gray-900 dark:text-white">Total</dt>
                                <dd class="text-base font-bold text-gray-900 dark:text-white">{{ price.totalTTC }} €</dd>
                            </dl>
                        </div>
                        {% if order.status == 'commander' %}
                            <a href="{{ path('app_order_reception', {'order': order.id}) }}" class="flex w-full items-center justify-center rounded-lg bg-blue-700 px-5 py-2.5 text-sm font-medium text-white hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800">
                                La commande a été reçue
                            </a>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}